SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_VisitModule]
AS
SELECT     aa.todaypv, bb.yespv, cc.pv, bb.name
FROM         (SELECT     COUNT(c.number) AS todaypv, d.name
                       FROM          (SELECT     a.number, a.addtime, b.moduleid
                                               FROM          dbo.Visit_Site AS a INNER JOIN
                                                                      dbo.NaviBar AS b ON a.naviid = b.id) AS c RIGHT OUTER JOIN
                                              dbo.Module AS d ON d.id = c.moduleid AND DATEDIFF(day, c.addtime, GETDATE()) = 0
                       GROUP BY d.name) AS aa INNER JOIN
                          (SELECT     COUNT(c_2.number) AS yespv, d.name
                            FROM          (SELECT     a.number, a.addtime, b.moduleid
                                                    FROM          dbo.Visit_Site AS a INNER JOIN
                                                                           dbo.NaviBar AS b ON a.naviid = b.id) AS c_2 RIGHT OUTER JOIN
                                                   dbo.Module AS d ON d.id = c_2.moduleid AND DATEDIFF(day, c_2.addtime, GETDATE()) = 1
                            GROUP BY d.name) AS bb ON aa.name = bb.name INNER JOIN
                          (SELECT     COUNT(c_1.number) AS pv, d.name
                            FROM          (SELECT     a.number, a.addtime, b.moduleid
                                                    FROM          dbo.Visit_Site AS a INNER JOIN
                                                                           dbo.NaviBar AS b ON a.naviid = b.id) AS c_1 RIGHT OUTER JOIN
                                                   dbo.Module AS d ON d.id = c_1.moduleid AND DATEDIFF(day, c_1.addtime, GETDATE()) = 2
                            GROUP BY d.name) AS cc ON aa.name = cc.name

GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "aa"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 95
               Right = 177
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "cc"
            Begin Extent = 
               Top = 6
               Left = 392
               Bottom = 95
               Right = 531
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "bb"
            Begin Extent = 
               Top = 6
               Left = 215
               Bottom = 95
               Right = 354
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'view_VisitModule'

GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'view_VisitModule'
